# ProcessOrphanedInstances

### Description

Synchronize the activation count on the server v/s the number of running instances on the client. The Activation Count can become out of sync when an application crashes or when an application exits while offline.

```csharp
void ProcessOrphanedInstances(int numRunningInstances);
```

### Parameters

| Parameter           | Type | Description                                                            |
| ------------------- | :--: | ---------------------------------------------------------------------- |
| numRunningInstances |  int | Number of running instances of your application on the client computer |

### Remarks

The number of running instances can be calculated by calling QlmLicense.[GetNumberOfRunningInstances](/docs/api-reference/.net-api/qlmlicense/client-side-methods/getnumberofrunninginstances.md) which counts the number of processes currently running on the system with the same process name.

ProcessOrphanedInstances only processes orphans associated with the current system.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.soraco.co/docs/api-reference/.net-api/iqlmcloudfloatinglicensehelper/methods/processorphanedinstances.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
